PROGRAM   CharTb21 ;
USES   WinCRT ;
VAR
   i : Integer ;
BEGIN
   {----- LOOP , On each char }
   FOR i := 0 TO 255 DO BEGIN
      {----- Write char  ( Ignoring problem chars )  }
      IF    (i = $00) or (i = $01) or (i = $02) or (i = $03)
         or (i = $04) or (i = $05) or (i = $06) or (i = $07)
         or (i = $08) or (i = $09) or (i = $0A) or (i = $0B)
         or (i = $0C) or (i = $0D) or (i = $0E) or (i = $0F)

         or (i = $10) or (i = $11) or (i = $12) or (i = $13)
         or (i = $14) or (i = $15) or (i = $16) or (i = $17)
         or (i = $18) or (i = $19) or (i = $1A) or (i = $1B)
         or (i = $1C) or (i = $1D) or (i = $1E) or (i = $1F)
      THEN Write (   '-'   )
      ELSE Write (   Chr(i)   );
   END;{i}
END.
